<!-- nav bar -->
{include file="%s/templates/_nav.tpl"|args:$plugin_root current_nav="config"}

<h2>Configuration</h2>

{if $ok && !$form->hasErrors()}
    <p class="block confirm">
        La configuration a bien été enregistrée.
    </p>
{/if}

{form_errors}

<form method="post" action="{$self_url}" enctype="multipart/form-data">
    <fieldset>
{*
        <legend>Objet (but) de l'association</legend>
*}
        <dl class="config">
            <dt><label>Objet (but) de l'association</label> <b title="Champ obligatoire">(obligatoire)</b></dt>
            {input type="textarea" name="objet_asso" source=$plugin.config label="" required="required" cols="50" rows="4" maxlength=300}
        </dl>
{*
    </fieldset>

    <fieldset>
        <legend>Droit à la réduction d'impôt</legend>
*}
        <dl class="config">
            <dt><label>Articles du code général des impôts concernés par l'association : </label>
                <b title="Champ obligatoire">(obligatoire ; sélectionnez tous les articles qui s'appliquent à l'asociation)</b>
            </dt>
            {foreach from=$plugin_config->articlesCGI key="key" item="article"}
{*
        À VÉRIFIER : {input : checked ne fonctionne pas si l'attribut name est un tableau... 
                {input type="checkbox" name="articlesCGI[]" value=$key label=$article.titre}
*}
            <div>
                <input type="checkbox" name="articlesCGI[]" value="{$key}" class="choix"
                    {if $article.valeur == 1}checked{/if}>
                    <label>Article {$article.titre}</label>
            </div>
            {/foreach}
        </dl>

        <dl class="config">
            <dt><label>Taux de réduction applicables : </label>
                <b title="Champ obligatoire">(obligatoire ; sélectionnez tous les taux qui s'appliquent à l'asociation)</b>
            </dt>
            {foreach from=$plugin_config->reduction key="key" item="taux"}
            <div>
                <input type="checkbox" name="tauxReduction[]" value="{$key}" class="choix"
                {if $taux.valeur == 1}checked{/if}>
                <label>Taux {$taux.taux}, ligne {$taux.ligne} de la déclaration
                {if $taux.remarque !== ""}({$taux.remarque})</label>{/if}
            </div>
            {/foreach}
        </dl>
    </fieldset>

    <fieldset>
        <legend>Nom, fonction et signature du responsable</legend>
        <dl class="config">
            <dt><label>Nom</label></dt>
            {input type="text" name="nom_responsable" source=$plugin.config label="" maxlength=50}
        </dl>

        <dl class="config">
            <dt><label>Fonction</label></dt>
            {input type="text" name="fonction_responsable" source=$plugin.config label="" maxlength=50}
        </dl>

        <dl class="config">
            <dt><label>Signature</label></dt>
        <p>L'image de la signature doit être d'une taille « raisonnable » et avoir un fond transparent</p>
        {if $plugin_config.signature != ''}
        <img id="signature" src="/{$plugin_config.signature}" />
        {else}
        <img id="signature" src="{$default_signature}" />
        {/if}
        {linkbutton shape="upload" label="Changer de signature" target="_dialog" href="upload.php?p=%s"|args:$path}
        </dl>
    </fieldset>

    <h3 class="warning">N'oubliez pas d'enregistrer, sinon les modifications ne seront pas prises en compte !</h3>

    <p class="submit">
        {csrf_field key="recusfiscaux_config"}
        {button type="submit" name="save" label="Enregistrer" shape="right" class="main"}
    </p>
</form>